import request from '@/utils/request'

// 查询安康码扫码地点列表
export function listData(query) {
  return request({
    url: '/system/data/list',
    method: 'get',
    params: query
  })
}

// 查询安康码扫码地点详细
export function getData(id) {
  return request({
    url: '/system/data/' + id,
    method: 'get'
  })
}

// 新增安康码扫码地点
export function addData(data) {
  return request({
    url: '/system/data',
    method: 'post',
    data: data
  })
}

// 修改安康码扫码地点
export function updateData(data) {
  return request({
    url: '/system/data/put',
    method: 'post',
    data: data
  })
}

// 删除安康码扫码地点
export function delData(id) {
  return request({
    url: '/system/data/delete/' + id,
    method: 'get'
  })
}
